Bug 589475 - fix crash in hunspell
Summary: fix crash in hunspell
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: hunspell   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 09:12 UTC by Caolan McNamara
Modified: 2010-10-18 16:59 UTC (History)
1 user (show)

Fixed In Version: hunspell-1.2.8-14.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 19:10:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example document (37.92 KB, application/octet-stream)
2010-05-06 09:12 UTC, Caolan McNamara
no flags Details

Description Caolan McNamara 2010-05-06 09:12:07 UTC
Created attachment 411887 [details]
example document

Description of problem:
https://sourceforge.net/tracker/index.php?func=detail&aid=2934195&group_id=143754&atid=756395

How reproducible:
100%

Steps to Reproduce:
The following invocation with the attached file "workfile" will crash in suggestmgr, fix attached
hunspell -a -d en_GB workfile

Comment 1 RHEL Product and Program Management 2010-05-06 09:35:34 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Caolan McNamara 2010-05-26 13:55:16 UTC
Note hunspell is the underlying spellchecker for openoffice.org, firefox, etc. so can affect all of those

Comment 3 Caolan McNamara 2010-05-26 14:21:46 UTC
built as hunspell-1.2.8-14.el6

Comment 6 releng-rhel@redhat.com 2010-07-02 19:10:59 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.